# -*- coding: utf-8 -*-
# Generated by Django 1.10.3 on 2016-11-20 10:20
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import submitify.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Call',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=200)),
                ('status', models.PositiveIntegerField(choices=[(1, 'Not open for submissions yet'), (2, 'Open for submissions'), (3, 'Closed for submissions, now reviewing'), (4, 'Closed for submissions, reviewing completed'), (5, 'Call completed')], default=1)),
                ('ctime', models.DateTimeField(auto_now_add=True)),
                ('mtime', models.DateTimeField(auto_now=True)),
                ('end_date', models.DateField(blank=True)),
                ('about_raw', models.TextField(verbose_name='about')),
                ('about_rendered', models.TextField()),
                ('paid', models.BooleanField(default=False)),
                ('genre', models.CharField(max_length=50)),
                ('length', models.CharField(max_length=50)),
                ('reviews_per_submission', models.PositiveIntegerField(default=1)),
                ('anonymous_submissions', models.BooleanField(default=True)),
                ('readers_can_submit', models.BooleanField(default=False)),
                ('owner', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='submitify_calls_editing', to=settings.AUTH_USER_MODEL)),
                ('readers', models.ManyToManyField(related_name='submitify_calls_reading', to=settings.AUTH_USER_MODEL)),
                ('restricted_to', models.ManyToManyField(related_name='invitations', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='Guideline',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('key', models.CharField(max_length=100)),
                ('value', models.TextField()),
                ('call', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='submitify.Call')),
            ],
        ),
        migrations.CreateModel(
            name='Notification',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('notification_type', models.CharField(choices=[('b', 'Basic notification'), ('a', 'Notification for accepted authors'), ('r', 'Notification for rejected authors')], max_length=1)),
                ('ctime', models.DateTimeField(auto_now_add=True)),
                ('subject', models.CharField(max_length=100)),
                ('body_raw', models.TextField()),
                ('body_rendered', models.TextField()),
                ('call', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='submitify.Call')),
                ('targets', models.ManyToManyField(to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='Review',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('ctime', models.DateTimeField(auto_now_add=True)),
                ('mtime', models.DateTimeField(auto_now=True)),
                ('rating', models.PositiveIntegerField()),
                ('yea_nay', models.CharField(blank=True, choices=[('a', 'Accept'), ('r', 'Reject')], max_length=1, verbose_name='accept or reject')),
                ('comments_raw', models.TextField(verbose_name='review comments')),
                ('comments_rendered', models.TextField()),
                ('owner', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='Submission',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=200)),
                ('cover', models.TextField()),
                ('original_file', models.FileField(upload_to=submitify.models.original_file_path)),
                ('submission_file', models.FileField(upload_to='')),
                ('submission_text', models.TextField()),
                ('ctime', models.DateTimeField(auto_now_add=True)),
                ('wordcount', models.PositiveIntegerField(default=0)),
                ('status', models.CharField(choices=[('s', 'Submitted'), ('i', 'Needs reviews'), ('c', 'Reviews completed'), ('a', 'Accepted'), ('r', 'Rejected')], default='s', max_length=1)),
                ('call', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='submitify.Call')),
                ('owner', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='submitify_submissions', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.AddField(
            model_name='review',
            name='submission',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='submitify.Submission'),
        ),
    ]
